| 0.9.7

- Main Page
- Modules
- Files

Functions
GLM_GTC_reciprocal
GTC Extensions (Stable)

## Functions
template<typename genType >
GLM_FUNC_DECL genType | acot (genType const &x)
template<typename genType >
GLM_FUNC_DECL genType | acoth (genType const &x)
template<typename genType >
GLM_FUNC_DECL genType | acsc (genType const &x)
template<typename genType >
GLM_FUNC_DECL genType | acsch (genType const &x)
template<typename genType >
GLM_FUNC_DECL genType | asec (genType const &x)
template<typename genType >
GLM_FUNC_DECL genType | asech (genType const &x)
template<typename genType >
GLM_FUNC_DECL genType | cot (genType const &angle)
template<typename genType >
GLM_FUNC_DECL genType | coth (genType const &angle)
template<typename genType >
GLM_FUNC_DECL genType | csc (genType const &angle)
template<typename genType >
GLM_FUNC_DECL genType | csch (genType const &angle)
template<typename genType >
GLM_FUNC_DECL genType | sec (genType const &angle)
template<typename genType >
GLM_FUNC_DECL genType | sech (genType const &angle)

## Detailed Description

Define secant, cosecant and cotangent functions.

<glm/gtc/reciprocal.hpp> need to be included to use these features.

## Function Documentation

GLM_FUNC_DECL genType glm::acot | ( | genType const & | x | ) |

Inverse cotangent function.

See also
  GLM_GTC_reciprocal

GLM_FUNC_DECL genType glm::acoth | ( | genType const & | x | ) |

Inverse cotangent hyperbolic function.

See also
  GLM_GTC_reciprocal

GLM_FUNC_DECL genType glm::acsc | ( | genType const & | x | ) |

Inverse cosecant function.

See also
  GLM_GTC_reciprocal

GLM_FUNC_DECL genType glm::acsch | ( | genType const & | x | ) |

Inverse cosecant hyperbolic function.

See also
  GLM_GTC_reciprocal

GLM_FUNC_DECL genType glm::asec | ( | genType const & | x | ) |

Inverse secant function.

See also
  GLM_GTC_reciprocal

GLM_FUNC_DECL genType glm::asech | ( | genType const & | x | ) |

Inverse secant hyperbolic function.

See also
  GLM_GTC_reciprocal

GLM_FUNC_DECL genType glm::cot | ( | genType const & | angle | ) |

Cotangent function.

adjacent / opposite or 1 / tan(x)

See also
  GLM_GTC_reciprocal

GLM_FUNC_DECL genType glm::coth | ( | genType const & | angle | ) |

Cotangent hyperbolic function.

See also
  GLM_GTC_reciprocal

GLM_FUNC_DECL genType glm::csc | ( | genType const & | angle | ) |

Cosecant function.

hypotenuse / opposite or 1 / sin(x)

See also
  GLM_GTC_reciprocal

GLM_FUNC_DECL genType glm::csch | ( | genType const & | angle | ) |

Cosecant hyperbolic function.

See also
  GLM_GTC_reciprocal

GLM_FUNC_DECL genType glm::sec | ( | genType const & | angle | ) |

Secant function.

hypotenuse / adjacent or 1 / cos(x)

See also
  GLM_GTC_reciprocal

GLM_FUNC_DECL genType glm::sech | ( | genType const & | angle | ) |

Secant hyperbolic function.

See also
  GLM_GTC_reciprocal